<? $this->headScript()
		->appendFile(_st('overlay.js'), 'text/javascript')
		->appendFile(_st('members-list.js'), 'text/javascript')		
		->appendFile(_st('Autocompleter.js'), 'text/javascript')
		->appendFile(_st('private-messaging.js'), 'text/javascript')
		
		->appendScript('Cubix.membersList.lng = "' . Cubix_I18n::getLang() . '"');
?>
<script type="text/javascript" >


	Cubix.PrivateMessaging.isLoggedIn = "<?= $this->current_user ?>";
	window.addEvent('domready', function(){
		$$('.comment_request').addEvent('click', function(e) {
			e.stop();
			
			var self = this;
			
			<? if (!$this->user): ?>
				Cubix.Popup.Show('489', '652');
				return false;
			<? endif; ?>
				
			var f_id = self.get('id');
			
			var overlay = new Cubix.Overlay($('top-item-' + f_id), {
				loader: _st('loader-circular-tiny.gif'),
				position: '50%'
			});

			overlay.disable();
			
			var data = {
				f_id: f_id
			};
			
			new Request.JSON({
				url: '/private/send-fav-request',
				method: 'post',
				data: data,
				onSuccess: function (resp) {
					if (resp.success) {
						self.getParent().set('html', '<?= __('request_sent') ?>');
						overlay.enable();
					}
				}
			}).send();
		});
	})
	
</script>
<?
	/*$back_url = '';
	if ( $_SERVER['HTTP_REFERER'] ) {
		$back_url = $_SERVER['HTTP_REFERER'];
	}*/
?>
<link href="<?= _st('reviews.css') ?>" media="screen" rel="stylesheet" type="text/css" />
<?// $this->seo('reviews', 0, array(), true); ?>
<style type="text/css">
	.r-username {
		position:relative;
		outline: none;
	}

	.r-username span {
		background:none repeat scroll 0 0 #FFFFFF !important;
		display:block;
		height:132px;
		left:30px;
		position:absolute;
		top:5px;
		visibility:hidden;
		width:100px;
		padding: 0px !important;
		border: none !important;
	}

	.r-username:hover span {
		visibility:visible;
		z-index:100;
	}
	
	.r-username:hover span img {
		border:1px solid #CCCCCC;
		margin:0;
		padding:1px;
	}
</style>

<?php $config = Zend_Registry::get('reviews_config'); ?>

<? if ( ! $this->ajax ): ?>

<div class="i">
	<div id="r-top">
		<div class="search">
			<form>
				<div class="fleft item">
					<label for="f_username"><?= $this->t('username') ?>:</label>
					<input type="text" id="f_username" name="username"    />
				</div>
				<div class="fleft item" style="margin-top: 18px;">
					<input type="button" value="<?= $this->t('search') ?>" id="f_search" />
				</div>

				<div class="clear"></div>
			</form>
		</div>

		<div class="clear"></div>
	</div>

	<div class="rcol">
		<div class="guide-content ajax">
<? endif; ?>
		<input type="hidden" name="page" value="<?= $this->page ?>" />
		<input type="hidden" name="ord_dir" value="<?= $this->ord_dir ?>" />
		<input type="hidden" name="ord_field" value="<?= $this->ord_field ?>" />
		<input type="hidden" name="city_id" value="<?= $this->city_id ?>" />
			<table id="" cellspacing="0" cellpadding="0" class="tableData" style="width: 100%;">
				<? if(!$this->from_members_info): ?>
				<tr>
					<td colspan="8" align="right"><?= $this->t('over_count_members', array('count' => $this->count)) ?></td>
				</tr>
				<? endif;?>
				<tr class="tableHeader">
					<th style="width: 80px;"><a href="#" class="ord" rel="creation_date|<?= $this->ord_dir ?>"><?= $this->t('date') ?></a><? if($this->ord_field == 'creation_date'):?>&nbsp;<img src="<?= _st('reviews/icon_' . $this->ord_dir . '.gif') ?>" /><? endif;?></th>
					<th class="left"><a href="#" class="ord" rel="username|<?= $this->ord_dir ?>"><?= $this->t('username') ?></a><? if($this->ord_field == 'username'):?>&nbsp;<img src="<?= _st('reviews/icon_' . $this->ord_dir . '.gif') ?>" /><? endif;?></th>
					<th><?= $this->t('city') ?></th>
					<th><?= $this->t('country') ?></th>
					<th>PM</th>
				</tr>
				<?php 
					foreach ($this->items as $item): ?>
						<tr class="center">
							<td><?= (date('d M Y', $item['creation_date']) == date('d M Y')) ? '<strong>'.$this->t('today').'</strong>' : date('d M Y', $item['creation_date']) ?></td>
							<td class="left">
								<a target="_blank" class="r-username" href="<?= $this->getLink('member').'/'.$item['username'] ?>">
									<?= $item['username'] ?>
								</a>
							</td>
							<td><?= $item['city_title'] ? $item['city_title'] : '-' ?></td>
							<td><?= $item['country_title'] ? $item['country_title'] : '-' ?></td>
							<td>
								<a href="" onclick="return Cubix.PrivateMessaging.Show($(this).getParent(), 'member-<?= $item['id'] ?>')">
									<img src="http://st.beneluxxx.com/img/v2.1/private-messaging/pm_btn_small.png" alt="Contact me">
								</a>
							</td>
						</tr>
					<?php 
					endforeach;?>
			</table>
				
			<? $pages_count = ceil($this->count / $config['perPage']); ?>
			
			<? if( $pages_count != 1 ): ?>
				<p>
					<? $pages = $this->paging($this->count, $this->page, $config['perPage']); ?>
					<? if ( 1 < $this->page): ?>
					<a class="prev" href="<?= $this->getLink('members-list', array('page' => ($this->page == 2) ? null : $this->page - 1, 'ord_dir' => $this->ord_dir, 'ord_field' => $this->ord_field, 'city_id' => $this->city_id, 'member_name' => $this->member_name, 'username' => $this->username)) ?>" onclick="return Cubix.membersList.Load(this)"></a>
					<? endif ?>

					<? foreach ( $pages as $page ): ?>
						<? if ( $this->page == $page ): ?>
						<span><?= $page ?></span>
						<? else: ?>
						<a class="p" href="<?= $this->getLink('members-list', array('page' => ($page == 1) ? null : $page, 'ord_dir' => $this->ord_dir, 'ord_field' => $this->ord_field, 'city_id' => $this->city_id, 'member_name' => $this->member_name, 'username' => $this->username)) ?>" onclick="return Cubix.membersList.Load(this)"><?= $page ?></a>
						<? endif ?>
					<? endforeach ?>

					<? if ($this->page < $pages_count - 2 && end($pages) < $pages_count): ?>
					...
					<a class="p" href="<?= $this->getLink('members-list', array('page' => $pages_count, 'ord_dir' => $this->ord_dir, 'ord_field' => $this->ord_field, 'city_id' => $this->city_id, 'member_name' => $this->member_name, 'username' => $this->username)) ?>" onclick="return Cubix.membersList.Load(this)"><?= $pages_count ?></a>
					<? endif; ?>

					<? if ( $pages_count > $this->page): ?>
					<a class="next" href="<?= $this->getLink('members-list', array('page' => $this->page + 1, 'ord_dir' => $this->ord_dir, 'ord_field' => $this->ord_field, 'city_id' => $this->city_id, 'member_name' => $this->member_name, 'username' => $this->username)) ?>" onclick="return Cubix.membersList.Load(this)"></a>
					<? endif ?>
				</p>
			<? endif; ?>
<? if ( ! $this->ajax ): ?>
		</div>
	</div>
</div>



<? endif; ?>